Region (Apache Geode 1.15.4)

org.apache.geode.management.configuration

## Class Region

- java.lang.Object
- - org.apache.geode.management.configuration.AbstractConfiguration<R>
  - - org.apache.geode.management.configuration.GroupableConfiguration<RuntimeRegionInfo>
    - - org.apache.geode.management.configuration.Region

- All Implemented Interfaces:
    Serializable, Identifiable<String>, JsonSerializable

      public class Region
      extends GroupableConfiguration<RuntimeRegionInfo>

  this holds the region attributes you can configure using management rest api for regions created using gfsh but listed using management rest api, the attributes not supported by management rest api won't be shown.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Region.Eviction`
    `static class` | `Region.EvictionAction`
    `static class` | `Region.EvictionType`
    `static class` | `Region.Expiration`
    `static class` | `Region.ExpirationAction`
    `static class` | `Region.ExpirationType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `REGION_CONFIG_ENDPOINT`
    `static String` | `SEPARATOR`
    `static char` | `SEPARATOR_CHAR`

    - ### Fields inherited from class org.apache.geode.management.configuration.AbstractConfiguration

      `CLUSTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Region()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExpiry(Region.ExpirationType type, Integer timeout, Region.ExpirationAction action)`
    `boolean` | `equals(Object o)`
    `String` | `getDiskStoreName()`
    `Region.Eviction` | `getEviction()`
    `List<Region.Expiration>` | `getExpirations()`
    `String` | `getId()` Returns `getName()`.
    `String` | `getKeyConstraint()`
    `Links` | `getLinks()`
    `String` | `getName()`
    `Integer` | `getRedundantCopies()`
    `RegionType` | `getType()`
    `String` | `getValueConstraint()`
    `int` | `hashCode()`
    `boolean` | `isGlobalRuntime()` Returns true if the RuntimeInfo will be the same on all members; false if each member can have different RuntimeInfo.
    `void` | `setDiskStoreName(String diskStoreName)`
    `void` | `setEviction(Region.Eviction eviction)`
    `void` | `setExpirations(List<Region.Expiration> expirations)`
    `void` | `setKeyConstraint(String keyConstraint)`
    `void` | `setName(String value)`
    `void` | `setRedundantCopies(Integer redundantCopies)`
    `void` | `setType(RegionType type)`
    `void` | `setValueConstraint(String valueConstraint)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.geode.management.configuration.GroupableConfiguration

      `getGroup, setGroup`

    - ### Methods inherited from class org.apache.geode.management.configuration.AbstractConfiguration

      `getCreationCommandType, getGroupName, isCluster`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.lang.Identifiable

      `exists, find, remove`

- - ### Field Detail

    - #### REGION_CONFIG_ENDPOINT

          public static final String REGION_CONFIG_ENDPOINT

      See Also:
        Constant Field Values

    - #### SEPARATOR

          public static final String SEPARATOR

      See Also:
        Constant Field Values

    - #### SEPARATOR_CHAR

          public static final char SEPARATOR_CHAR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Region

          public Region()

  - ### Method Detail

    - #### isGlobalRuntime

          public boolean isGlobalRuntime()

      Description copied from class: `AbstractConfiguration`
      Returns true if the RuntimeInfo will be the same on all members; false if each member can have different RuntimeInfo.
      Overrides:
        `isGlobalRuntime` in class `AbstractConfiguration<RuntimeRegionInfo>`
      Returns:
        true if the RuntimeInfo will be the same on all members

    - #### getLinks

          public Links getLinks()

      Specified by:
        `getLinks` in class `AbstractConfiguration<RuntimeRegionInfo>`

    - #### getId

          public String getId()

      Returns `getName()`.
      Specified by:
        `getId` in interface `Identifiable<String>`
      Specified by:
        `getId` in class `AbstractConfiguration<RuntimeRegionInfo>`
      Returns:
        an identifier uniquely identifying this Object.

    - #### getName

          public String getName()

    - #### setName

          public void setName(String value)

    - #### getType

          public RegionType getType()

    - #### setType

          public void setType(RegionType type)

    - #### getRedundantCopies

          public Integer getRedundantCopies()

      Returns:
        the redundant copies of a region

    - #### setRedundantCopies

          public void setRedundantCopies(Integer redundantCopies)

    - #### getKeyConstraint

          public String getKeyConstraint()

    - #### setKeyConstraint

          public void setKeyConstraint(String keyConstraint)

    - #### getValueConstraint

          public String getValueConstraint()

    - #### setValueConstraint

          public void setValueConstraint(String valueConstraint)

    - #### getDiskStoreName

          public String getDiskStoreName()

    - #### setDiskStoreName

          public void setDiskStoreName(String diskStoreName)

    - #### getExpirations

          public List<Region.Expiration> getExpirations()

    - #### setExpirations

          public void setExpirations(List<Region.Expiration> expirations)

    - #### getEviction

          public Region.Eviction getEviction()

    - #### setEviction

          public void setEviction(Region.Eviction eviction)

    - #### addExpiry

          public void addExpiry(Region.ExpirationType type,
                                Integer timeout,
                                Region.ExpirationAction action)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `GroupableConfiguration<RuntimeRegionInfo>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `GroupableConfiguration<RuntimeRegionInfo>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`